Create an allocation
curl --request POST \
--url https://devapi.eazecustoms.com/staging/v1/shipments/{id}/allocations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"declarationProcedureType": "<string>",
"customsDeclarationType": "<string>",
"customsDeclarationNumber": "<string>",
"packageCount": 123,
"grossWeightKg": 123,
"customsDocumentType": "<string>",
"hawbId": "<string>"
}
'import requests
url = "https://devapi.eazecustoms.com/staging/v1/shipments/{id}/allocations"
payload = {
"declarationProcedureType": "<string>",
"customsDeclarationType": "<string>",
"customsDeclarationNumber": "<string>",
"packageCount": 123,
"grossWeightKg": 123,
"customsDocumentType": "<string>",
"hawbId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
declarationProcedureType: '<string>',
customsDeclarationType: '<string>',
customsDeclarationNumber: '<string>',
packageCount: 123,
grossWeightKg: 123,
customsDocumentType: '<string>',
hawbId: '<string>'
})
};
fetch('https://devapi.eazecustoms.com/staging/v1/shipments/{id}/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allocationId": "alc_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"source": "EXTERNAL",
"declarationId": null,
"declarationProcedureType": "H1",
"customsDocumentType": "X",
"customsDeclarationType": "IM",
"customsDeclarationNumber": "26NL12345678901234",
"packageCount": 4,
"grossWeightKg": 40,
"isActive": true,
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:30:00.000Z"
}
RTO
Create an allocation
Allocate a declaration cleared elsewhere (EXTERNAL only).
POST
/
v1
/
shipments
/
{id}
/
allocations
Create an allocation
Allocate a declaration cleared elsewhere. This endpoint creates EXTERNAL allocations only.
Path Parameters
string
required
Shipment Public ID (
shp_…).Headers
string
Unique key that makes retrying this request safe for 24 hours. A UUID is recommended.
Body
string
required
Procedure type of the clearance, for example
H1.string
required
Customs declaration type, for example
IM.string
required
Customs declaration number / MRN.
integer
required
Packages allocated from remaining stock.
number
required
Gross weight allocated in kilograms.
string
default:"X"
Customs document type. Defaults to
X.string
HAWB Public ID (
hawb_…). Omit to allocate to the shipment master AWB.JSON Payload
{
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"declarationProcedureType": "H1",
"customsDocumentType": "X",
"customsDeclarationType": "IM",
"customsDeclarationNumber": "26NL12345678901234",
"packageCount": 4,
"grossWeightKg": 40
}
{
"allocationId": "alc_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"source": "EXTERNAL",
"declarationId": null,
"declarationProcedureType": "H1",
"customsDocumentType": "X",
"customsDeclarationType": "IM",
"customsDeclarationNumber": "26NL12345678901234",
"packageCount": 4,
"grossWeightKg": 40,
"isActive": true,
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:30:00.000Z"
}